Reconcile blob storage
curl --request POST \
--url https://api.example.com/blobs/reconcile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/blobs/reconcile"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/blobs/reconcile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"s3_total": 123,
"db_total": 123,
"healthy": 123,
"orphaned_s3": 123,
"missing_s3": 123,
"orphaned_s3_sample": [
"<string>"
],
"missing_s3_sample": [
"<string>"
],
"deleted": 123,
"dry_run": true
}{
"error": {
"code": "validation_error",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {}
}
}Blobs
Reconcile blob storage
Compares the blob storage backend against the database to find orphaned files (in storage but not DB) and missing files (in DB but not storage). Defaults to dry_run=true for safety.
POST
/
blobs
/
reconcile
Reconcile blob storage
Authorizations
Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)
Query Parameters
Available options:
true, false